[package]
name = "sd-proxy"
version = "0.1.0"
edition = "2021"
build = "build.rs"
# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html


[profile.release]
rpath = true
codegen-units = 1
strip = "symbols"
opt-level = 3

[dependencies]
anyhow = "1.0.70"
axum = "0.6"
# base16ct = { version = "0.2.0", features = ["std"] }
# base64 = "0.21.0"
# base64ct = { version = "1.6.0", features = ["std"] }
# chrono = { version = "0.4.24", features = ["serde"] }
futures = "0.3"
hex = "0.4"
hyper = { version = "0.14" }
lazy_static = "1.4.0"
md-5 = { version = "0.10.5", features = ["asm"] }
pin-project-lite = "0.2"
reqwest = { version = "0.11", default-features = false, features = [
    "json",
    "rustls-tls",
    "gzip",
    "brotli",
    "deflate",
    "stream",
] }
serde = { version = "1", features = ["derive"] }
serde_json = "1.0"
# serde_qs = "0.12"
sqlx = { version = "0.6", features = ["time", "runtime-tokio-rustls", "mysql", "bigdecimal", "decimal", "any", "all", "macros"], default-features = false }
time = { version = "0.3", features = [
    "serde",
    "formatting",
    "macros",
    "parsing",
    "local-offset",
] }
tokio = { version = "1.26", features = ["full", "tracing"] }
toml = "0.7"
tower = { version = "0.4", features = ["timeout"] }
tracing = { version = "0.1", features = ["async-await"] }
tracing-appender = "0.2"
tracing-subscriber = { version = "0.3", features = ["local-time", "time"] }
url = { version = "2.3.1", features = ["serde"] }

[build-dependencies]
cc = "1"
cmake = "0.1"


[dev-dependencies]
libsm = "*"
